*** render.c	2004/12/10 20:14:11	1.3
--- render.c	2004/12/20 20:44:40
***************
*** 2239,2245 ****
  		/* [GSG 11/21/95] */
  		AddMonitors2(PickHist[0].atm, PickHist[2].atm,
                    PickHist[1].atm, (RAtom __far *)NULL,
! 		  (unsigned short) (temp*100), 128, PickAngle);
  		ReDrawFlag |= RFRefresh;
  
  
--- 2239,2245 ----
  		/* [GSG 11/21/95] */
  		AddMonitors2(PickHist[0].atm, PickHist[2].atm,
                    PickHist[1].atm, (RAtom __far *)NULL,
! 		  (short) (temp*100), 128, PickAngle);
  		ReDrawFlag |= RFRefresh;
  
  
***************
*** 2257,2270 ****
                  DescribeAtom(PickHist+2,False);
                  WriteChar('-');
                  DescribeAtom(PickHist+3,False);
!                 sprintf(buffer,": %.1f\n\n",temp);
                  WriteString(buffer);
                  WriteString(buffer);
  
  		/* [GSG 11/21/95] */
  	        AddMonitors2(PickHist[0].atm, PickHist[3].atm,
                    PickHist[1].atm, PickHist[2].atm,
! 			     (unsigned short) (temp*100), 128, PickTorsn);
  		ReDrawFlag |= RFRefresh;
              }
          }
--- 2257,2270 ----
                  DescribeAtom(PickHist+2,False);
                  WriteChar('-');
                  DescribeAtom(PickHist+3,False);
!                 sprintf(buffer,": %.2f\n\n",temp);
                  WriteString(buffer);
                  WriteString(buffer);
  
  		/* [GSG 11/21/95] */
  	        AddMonitors2(PickHist[0].atm, PickHist[3].atm,
                    PickHist[1].atm, PickHist[2].atm,
! 		     (short) (temp*100), 128, PickTorsn);
  		ReDrawFlag |= RFRefresh;
              }
          }
*** rasmol.c	2004/12/13 14:53:56	1.3
--- rasmol.c	2004/12/20 20:44:14
***************
*** 207,214 ****
  
  #ifdef VMS
  static struct {
!         unsigned short size; 
!         unsigned short type;
          char *string;
          } StdInDesc = { 10, 0, "SYS$INPUT:" };
  
--- 207,214 ----
  
  #ifdef VMS
  static struct {
!         short size; 
!         short type;
          char *string;
          } StdInDesc = { 10, 0, "SYS$INPUT:" };
  
*** repres.c	2004/11/02 03:20:24	1.2
--- repres.c	2004/12/20 20:44:47
***************
*** 541,547 ****
  /* [GSG 11/21/95] AddMonitors2 can add a monitor w/a given number */
  void AddMonitors2( RAtom __far *src, RAtom __far *dst,
        RAtom __far *mid1, RAtom __far *mid2,
!      unsigned short dist, unsigned char units, int monmode )
  {
      register Monitor **prev;
      register Monitor *ptr;
--- 541,547 ----
  /* [GSG 11/21/95] AddMonitors2 can add a monitor w/a given number */
  void AddMonitors2( RAtom __far *src, RAtom __far *dst,
        RAtom __far *mid1, RAtom __far *mid2,
!       short dist, unsigned char units, int monmode )
  {
      register Monitor **prev;
      register Monitor *ptr;
***************
*** 587,593 ****
  {
      register Long dx, dy, dz;
      register Long dist;
!     unsigned short temp;
   
      dx = src->xorg - dst->xorg + src->fxorg - dst->fxorg;
      dy = src->yorg - dst->yorg + src->fyorg - dst->fyorg;
--- 587,593 ----
  {
      register Long dx, dy, dz;
      register Long dist;
!     short temp;
   
      dx = src->xorg - dst->xorg + src->fxorg - dst->fxorg;
      dy = src->yorg - dst->yorg + src->fyorg - dst->fyorg;
***************
*** 595,601 ****
  
      /* ptr->dist = 100.0*CalcDistance(src,dst) */
      dist = isqrt( dx*dx + dy*dy + dz*dz );
!     temp = (unsigned short)((dist<<1)/5);
  
      AddMonitors2(src, dst, 
        (RAtom __far *)NULL, (RAtom __far *)NULL, temp, 127, PickDist);
--- 595,601 ----
  
      /* ptr->dist = 100.0*CalcDistance(src,dst) */
      dist = isqrt( dx*dx + dy*dy + dz*dz );
!     temp = (short)((dist<<1)/5);
  
      AddMonitors2(src, dst, 
        (RAtom __far *)NULL, (RAtom __far *)NULL, temp, 127, PickDist);
*** repres.h	2004/11/02 03:20:24	1.2
--- repres.h	2004/12/20 20:44:52
***************
*** 180,186 ****
  void DeleteMonitors( void );
  void AddMonitors2( RAtom __far*, RAtom __far*,
    RAtom __far*, RAtom __far*, 
!   unsigned short, unsigned char, int );
  void AddMonitors( RAtom __far*, RAtom __far* );
  void CreateMonitor( Long, Long );
  void DisplayMonitors( void );
--- 180,186 ----
  void DeleteMonitors( void );
  void AddMonitors2( RAtom __far*, RAtom __far*,
    RAtom __far*, RAtom __far*, 
!   short, unsigned char, int );
  void AddMonitors( RAtom __far*, RAtom __far* );
  void CreateMonitor( Long, Long );
  void DisplayMonitors( void );
